Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.output
Class ATermBaseVisitor

    java.lang.Object
      org.mindswap.pellet.output.ATermBaseVisitor

All Implemented Interfaces:
  ATermVisitor

Direct Known Subclasses:
  ATermBaseRenderer, ConceptConverter

    public abstract class ATermBaseVisitor

extends java.lang.Object
implements ATermVisitor

Base implementation for ATermVisitor. Implements the basic visit function that calls the other functions based on the functor.

Author:
  Evren Sirin

Field Summary
`static aterm.ATermAppl` | `OWL_NOTHING`
`static aterm.ATermAppl` | `OWL_THING`

Constructor Summary
`ATermBaseVisitor()`

Method Summary
`void` | `visit(aterm.ATermAppl term)` Visit a generic term which may be a class expression, individual or a literal.
`void` | `visitList(aterm.ATermList list)` Visit the list structure.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mindswap.pellet.output.ATermVisitor
`visitAll, visitAnd, visitCard, visitHasValue, visitLiteral, visitMax, visitMin, visitNot, visitOneOf, visitOr, visitSelf, visitSome, visitTerm, visitValue`

Field Detail

### OWL_THING

    public static final aterm.ATermAppl OWL_THING

### OWL_NOTHING

    public static final aterm.ATermAppl OWL_NOTHING

Constructor Detail

### ATermBaseVisitor

    public ATermBaseVisitor()

Method Detail

### visit

    public void visit(aterm.ATermAppl term)

  Description copied from interface: `ATermVisitor`
  Visit a generic term which may be a class expression, individual or a literal.

  Specified by:
    `visit` in interface `ATermVisitor`

### visitList

    public void visitList(aterm.ATermList list)

  Description copied from interface: `ATermVisitor`
  Visit the list structure. Lists are found in 'and' and 'or' terms.

  Specified by:
    `visitList` in interface `ATermVisitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.